> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/tutorials-and-guides/guides/migrating-from-formula-one-api-v1-to-motorsport-api-v3/seasons.md).

# Seasons

Currently, our F1 season historical coverage is from 2021 onwards, with Pre-Season Testing data from 2025 onwards.

<table><thead><tr><th width="124.2109375">Season</th><th width="98.34375">v1 ID</th><th width="214.63671875">v3 ID</th><th>v3 Pre-season testing ID (NEW)</th></tr></thead><tbody><tr><td>2021</td><td>6</td><td>26874</td><td>Added soon</td></tr><tr><td>2022</td><td>7</td><td>26875</td><td>Added soon</td></tr><tr><td>2023</td><td>8</td><td>26876</td><td>Added soon</td></tr><tr><td>2024</td><td>9</td><td>26877</td><td>Added soon</td></tr><tr><td>2025</td><td>10</td><td>25273</td><td>26743</td></tr><tr><td>2026</td><td>11</td><td>26733</td><td>26736</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/motorsport-api/tutorials-and-guides/guides/migrating-from-formula-one-api-v1-to-motorsport-api-v3/seasons.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
